## ros-melodic-simple-grasping 0.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(simple_grasping)

find_package(Boost REQUIRED)
find_package(PCL REQUIRED)
find_package(catkin REQUIRED
  COMPONENTS
    actionlib
    cmake_modules
    geometry_msgs
    grasping_msgs
    message_generation
    moveit_msgs
    pcl_ros
    roscpp
    sensor_msgs
    shape_msgs
    tf
)
find_package(Eigen REQUIRED)

link_directories(
  ${catkin_LIBRARY_DIRS}
  ${Boost_LIBRARY_DIRS}
  ${PCL_LIBRARY_DIRS}
)

catkin_package(
  CATKIN_DEPENDS
    actionlib
    geometry_msgs
    grasping_msgs
    moveit_msgs
    pcl_ros
    sensor_msgs
    shape_msgs
  INCLUDE_DIRS include
  LIBRARIES
    simple_grasping
)

include_directories(
  include
  SYSTEM
  ${Boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
  ${Eigen_INCLUDE_DIRS}
  ${PCL_INCLUDE_DIRS}
)

### Build simple_grasping library
add_library(simple_grasping
  src/cloud_tools.cpp
  src/object_support_segmentation.cpp
  src/shape_extraction.cpp
  src/shape_grasp_planner.cpp
)
target_link_libraries(simple_grasping
  ${Boost_LIBRARIES}
  ${catkin_LIBRARIES}
  ${PCL_LIBRARIES}
)

### Build basic_grasping_perception
add_executable(basic_grasping_perception src/basic_grasping_perception.cpp)
target_link_libraries(basic_grasping_perception
  simple_grasping
  ${Boost_LIBRARIES}
  ${catkin_LIBRARIES}
  ${PCL_LIBRARIES}
)
add_dependencies(basic_grasping_perception grasping_msgs_generate_messages_cpp)

### Build grasp_planner_node
add_executable(grasp_planner_node src/grasp_planner_node.cpp)
target_link_libraries(grasp_planner_node
  simple_grasping
  ${Boost_LIBRARIES}
  ${catkin_LIBRARIES}
  ${PCL_LIBRARIES}
)
add_dependencies(grasp_planner_node grasping_msgs_generate_messages_cpp)

### Test
if (CATKIN_ENABLE_TESTING)
add_subdirectory(test)
endif()

### Install
install(
  DIRECTORY include/
  DESTINATION include
)

install(
  TARGETS simple_grasping basic_grasping_perception grasp_planner_node
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

=== test/CMakeLists.txt ===
catkin_add_gtest(simple_grasping_test_shape_extraction
  test_shape_extraction.cpp
  ../src/shape_extraction.cpp                     
)
target_link_libraries(simple_grasping_test_shape_extraction
  ${Boost_LIBRARIES}
  ${catkin_LIBRARIES}
)

=== debian/changelog ===
ros-melodic-simple-grasping (0.3.1-0stretch) stretch; urgency=high

  * insert proper key name
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 14 Aug 2018 04:00:00 -0000

ros-melodic-simple-grasping (0.3.0-0stretch) stretch; urgency=high

  * Merge pull request #4 <https://github.com/mikeferguson/simple_grasping/issues/4> from mikaelarguedas/patch-1
    add libvtk6-qt-dev dependency to build on Debian Stretch
  * add libvtk6-qt-dev dependency to build on Debian Stretch
    the libpcl-dev package is missing a dependency causing the Qt5::Widgets target to be exported but not satisfied.
  * Contributors: Michael Ferguson, Mikael Arguedas

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 14 Aug 2018 04:00:00 -0000

ros-melodic-simple-grasping (0.2.2-0stretch) stretch; urgency=high

  * parameterize gripper opening tolerance
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 24 Apr 2015 04:00:00 -0000

ros-melodic-simple-grasping (0.2.1-0stretch) stretch; urgency=high

  * create standalone grasp_planner_node
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 05 Apr 2015 04:00:00 -0000

ros-melodic-simple-grasping (0.2.0-0stretch) stretch; urgency=high

  * Initial release
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 18 Mar 2015 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-simple-grasping
Section: misc
Priority: extra
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libvtk6-qt-dev, ros-melodic-actionlib, ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-geometry-msgs, ros-melodic-grasping-msgs, ros-melodic-message-generation, ros-melodic-moveit-msgs, ros-melodic-pcl-ros, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-shape-msgs, ros-melodic-tf
Homepage: http://ros.org/wiki/simple_grasping
Standards-Version: 3.9.2

Package: ros-melodic-simple-grasping
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libvtk6-qt-dev, ros-melodic-actionlib, ros-melodic-geometry-msgs, ros-melodic-grasping-msgs, ros-melodic-message-runtime, ros-melodic-moveit-msgs, ros-melodic-moveit-python, ros-melodic-pcl-ros, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-shape-msgs, ros-melodic-tf
Description: Basic grasping applications and demos.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-simple-grasping//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-simple-grasping 0.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -60,6 +60,7 @@
   ${catkin_LIBRARIES}
   ${PCL_LIBRARIES}
 )
+add_dependencies(simple_grasping grasping_msgs_generate_messages_cpp)
 
 ### Build basic_grasping_perception
 add_executable(basic_grasping_perception src/basic_grasping_perception.cpp)

=== debian/changelog ===
ros-melodic-simple-grasping (0.4.1-1bionic) bionic; urgency=high

  * remove VTK dependency (#11 <https://github.com/mikeferguson/simple_grasping/issues/11>)
    Debian stretch really isn't a target anymore, and apparently now we have other issues by specifying this dependency
  * add LICENSE file
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 24 Apr 2023 04:00:00 -0000

ros-melodic-simple-grasping (0.4.0-1bionic) bionic; urgency=high

  * add depend on grasping_msgs, fix #5 <https://github.com/mikeferguson/simple_grasping/issues/5>
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 13 Jan 2021 05:00:00 -0000

ros-melodic-simple-grasping (0.3.1-1bionic) bionic; urgency=high

  * insert proper key name
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 14 Aug 2018 04:00:00 -0000

ros-melodic-simple-grasping (0.3.0-1bionic) bionic; urgency=high

  * Merge pull request #4 <https://github.com/mikeferguson/simple_grasping/issues/4> from mikaelarguedas/patch-1
    add libvtk6-qt-dev dependency to build on Debian Stretch
  * add libvtk6-qt-dev dependency to build on Debian Stretch
    the libpcl-dev package is missing a dependency causing the Qt5::Widgets target to be exported but not satisfied.
  * Contributors: Michael Ferguson, Mikael Arguedas

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 14 Aug 2018 04:00:00 -0000

ros-melodic-simple-grasping (0.2.2-1bionic) bionic; urgency=high

  * parameterize gripper opening tolerance
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 24 Apr 2015 04:00:00 -0000

ros-melodic-simple-grasping (0.2.1-1bionic) bionic; urgency=high

  * create standalone grasp_planner_node
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 05 Apr 2015 04:00:00 -0000

ros-melodic-simple-grasping (0.2.0-1bionic) bionic; urgency=high

  * Initial release
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 18 Mar 2015 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-simple-grasping
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-actionlib, ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-geometry-msgs, ros-melodic-grasping-msgs, ros-melodic-message-generation, ros-melodic-moveit-msgs, ros-melodic-pcl-ros, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-shape-msgs, ros-melodic-tf
Homepage: http://ros.org/wiki/simple_grasping
Standards-Version: 3.9.2

Package: ros-melodic-simple-grasping
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-actionlib, ros-melodic-geometry-msgs, ros-melodic-grasping-msgs, ros-melodic-message-runtime, ros-melodic-moveit-msgs, ros-melodic-moveit-python, ros-melodic-pcl-ros, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-shape-msgs, ros-melodic-tf
Description: Basic grasping applications and demos.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
